#ifndef ACTIVITYINFO_H
#define ACTIVITYINFO_H

#include <QDialog>

#include "log.h"

class WindowMap;
class Settings;
class Track;

namespace Ui {
    class ActivityInfo;
}

class ActivityInfo : public QDialog
{
    Q_OBJECT

public:
    explicit ActivityInfo(WindowMap *parent = 0, Settings* settings=0, Log *log=0);
    ~ActivityInfo();

public slots:
    void updateSummary();

private:
    Ui::ActivityInfo *ui;
    Log* log;
    WindowMap* windowMap;
    Settings* settings;

    void getSummary(Track* trk);
    void accept();
};

#endif // ACTIVITYINFO_H
