#ifndef LOADTRACKS_H
#define LOADTRACKS_H

#include "log.h"

#include <QDialog>
#include <QDir>

class WindowMap;
class Settings;

namespace Ui {
    class LoadTracksWindow;
}

class LoadTracksWindow : public QDialog
{
    Q_OBJECT

public:

    explicit LoadTracksWindow(WindowMap *parent = 0, Settings* settings=0, Log *log=0);
    virtual ~LoadTracksWindow();

private slots:
    void browse();
    void setColor();

private:
    Ui::LoadTracksWindow *ui;
    Log* log;
    QDir currentDir;
    QString fileName;
    WindowMap* windowMap;
    Settings* settings;


    void closeEvent(QCloseEvent *event);
    void showEvent(QShowEvent *);
    void accept();
};

#endif // LOADTRACKS_H
