#ifndef LOG_H
#define LOG_H


#include <QTextStream>
#include <QFile>

#include "constants.h"





class Log:QObject
{
    Q_OBJECT
private:
    int verbosity;
    QFile *file;

public:
    explicit Log(QString file,int verbosity);
    explicit Log(QWidget *w, QString file,int verbosity);
    virtual ~Log();

    void setVerbosity(int verbosity);
    int getVerbosity();
    void debug(QString msg);
    void info(QString msg);
    void err(QString msg);
    void warn(QString msg);
};



#endif // LOG_H
